package com.jianshui.income.mapper;



import com.jianshui.income.domain.entity.InvoiceCheckRecord;

import java.util.List;

/**
 * 发票查验Mapper接口
 *
 * @author tianenhui
 * @date 2021-05-11
 */
public interface InvoiceCheckRecordMapper
{
    /**
     * 查询发票查验
     *
     * @param id 发票查验ID
     * @return 发票查验
     */
    public InvoiceCheckRecord selectInvoiceCheckById(Long id);

    /**
     * 查询发票查验列表
     *
     * @param invoiceCheckRecord 发票查验
     * @return 发票查验集合
     */
    public List<InvoiceCheckRecord> selectInvoiceCheckList(InvoiceCheckRecord invoiceCheckRecord);

    /**
     * 新增发票查验
     *
     * @param invoiceCheckRecord 发票查验
     * @return 结果
     */
    public int insertInvoiceCheck(InvoiceCheckRecord invoiceCheckRecord);

    /**
     * 修改发票查验
     *
     * @param invoiceCheckRecord 发票查验
     * @return 结果
     */
    public int updateInvoiceCheck(InvoiceCheckRecord invoiceCheckRecord);

    /**
     * 删除发票查验
     *
     * @param id 发票查验ID
     * @return 结果
     */
    public int deleteInvoiceCheckById(Long id);

    /**
     * 批量删除发票查验
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteInvoiceCheckByIds(Long[] ids);
    public  List<InvoiceCheckRecord> selectInvoiceCheckByTime(InvoiceCheckRecord invoiceCheckRecord);

    List<InvoiceCheckRecord> selectExportInvoiceCheckList(InvoiceCheckRecord invoiceCheckRecord);
}
